<?php
session_start();
include "../../inc/config.php";


$columns = array(
	'semester',
	'id_aktivitas',
	'nim',
	'nama',
	'jurusan.nama_jurusan',
	'jr.nama_jurusan',
	'status_error',
	'aktivitas_anggota.id'
	);


$jurusan_mhs = "";
if (isset($_POST['semester'])) {
	
	if ($_POST['semester']=='all') {
		$semester = '';
	} else {
		$semester = "and semester='".$_POST['semester']."'";
	}

	if ($_POST['peran']=='all') {
		$jenis = '';
	} else {
		$jenis = "and jenis_peran='".$_POST['peran']."'";
	}

	if ($_POST['jurusan_mhs']!='all') {
	$jurusan_mhs = "and aktivitas_anggota.kode_jurusan='".$_POST['jurusan_mhs']."'";
	}

	if ($_POST['jurusan']=='all') {
		$jurusan = '';
		if ($_SESSION['level']!=1) {
			$jurusan = "and aktivitas_anggota.kode_jurusan_aktivitas='".$_SESSION['jurusan']."'";
		}
	} else {
		$jurusan = "and aktivitas_anggota.kode_jurusan_aktivitas='".$_POST['jurusan']."'";
	}
	
	if ($_POST['status_filter']=='all') {
		$status = '';
	} else {
		$status = " and status_error='".$_POST['status_filter']."'";
	}
	
	$query = $new_table->get_custom("select aktivitas_anggota.*
,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,
	concat(jr.jenjang,' ',jr.nama_jurusan) as nama_jurusan_aktivitas from aktivitas_anggota left join jurusan on aktivitas_anggota.kode_jurusan=jurusan.kode_jurusan 
left join jurusan jr on aktivitas_anggota.kode_jurusan_aktivitas=jr.kode_jurusan

 where aktivitas_anggota.id is not null $semester $jurusan $jurusan_mhs $status $jenis ",$columns);
} else {
	if (isset($_POST['jurusan_user'])) {
		$query = $new_table->get_custom("select aktivitas_anggota.*
,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,
	concat(jr.jenjang,' ',jr.nama_jurusan) as nama_jurusan_aktivitas from aktivitas_anggota left join jurusan on aktivitas_anggota.kode_jurusan=jurusan.kode_jurusan 
left join jurusan jr on aktivitas_anggota.kode_jurusan_aktivitas=jr.kode_jurusan
 where kode_jurusan_aktivitas='".$_POST['jurusan_user']."' ",$columns);
	} else {
		$query = $new_table->get_custom("select aktivitas_anggota.*
			,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,
	concat(jr.jenjang,' ',jr.nama_jurusan) as nama_jurusan_aktivitas from aktivitas_anggota left join jurusan on aktivitas_anggota.kode_jurusan=jurusan.kode_jurusan 
left join jurusan jr on aktivitas_anggota.kode_jurusan_aktivitas=jr.kode_jurusan where aktivitas_anggota.id is not null ",$columns);
	}

}

$peran = "";
$data = array();
foreach ($query	as $value) {
	if ($value->jenis_peran==1) {
		$peran = "Ketua";
	} elseif ($value->jenis_peran==2) {
		$peran = "Anggota";
	} else {
		$peran = "Personal";
	}

	$ResultData = array();
	$ResultData[] = "<input type='checkbox'  class='deleteRow' value='".$value->id."'/>";
	$ResultData[] = $value->semester;
	$ResultData[] = $value->id_aktivitas;
	$ResultData[] = $value->nim;
	$ResultData[] = $value->nama;
	$ResultData[] = $peran;
	$ResultData[] = $value->nama_jurusan_aktivitas;
	$ResultData[] = $value->nama_jurusan;
	if ($value->status_error==1) {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-success" data-toggle="tooltip" data-placement="left" title="" data-original-title="Sukses"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	} elseif ($value->status_error==0) {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-warning tips" data-toggle="tooltip" data-placement="left" title="Belum diproses" data-original-title="Belum diproses"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	} else {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-danger" data-toggle="tooltip" data-placement="left" title="'.$value->keterangan.'" data-original-title="'.$value->keterangan.'"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	}
	$ResultData[] = $value->id;

	$data[] = $ResultData;
}
//set data
$new_table->set_data($data);
//create our json
$new_table->create_data();
